import { definePropType as e } from "../../../node_modules/.pnpm/element-plus@2.5.6_vue@3.4.21/node_modules/element-plus/es/utils/vue/props/runtime.mjs";
import "../../../pro-table/index.mjs";
import { wetSchemaTableProps as r } from "../../../pro-table/src/types.mjs";
const l = {
  ...r,
  prop: {
    type: e([String, Array])
  },
  columns: {
    type: e(Array)
  },
  modelValue: {
    type: e(Array),
    default() {
      return null;
    }
  },
  maxLength: Number,
  minLength: Number,
  controlled: Boolean,
  addDefaultRow: {
    type: e(Object),
    default() {
      return {};
    }
  },
  readonly: Boolean,
  disabled: Boolean,
  clearable: Boolean
};
export {
  l as wetEditTableProps
};
